server_name: "freedombox.be"
pid_file: /data/homeserver.pid
listeners:
  - port: 8008
    tls: false
    type: http
    x_forwarded: true
    resources:
      - names: [client, federation]
        compress: false
database:
  name: psycopg2
  args:
    user: synapse_user
    password: synapse
    database: synapse
    host: postgresql
    port: 5432
    cp_min: 5
    cp_max: 10

federation_enabled: false
federation_domain_whitelist: []


cors_allowed_origins:
  - https://freedombox.be
  - https://app.element.io
  - https://element.io

log_config: "/data/freedombox.be.log.config"
media_store_path: /data/media_store
  #registration_shared_secret: "3#wsvOTJxqPTEIH5@mq1Vb^.6A~wbb@-7m#xv_Wao9-JLJ_.C1"
report_stats: false
  #macaroon_secret_key: "8uRGRXxy&5bBfsseq~1iiJfuNZj8+EI2d:2Yy62jJ,oX=z1l.g"
  #form_secret: "0BPdiBecdZnq7PTw-bK,B;aWD2&e@:X,OZ80a;ksxP0C+P@FEu"
signing_key_path: "/data/freedombox.be.signing.key"
trusted_key_servers:
  - server_name: "matrix.org"
enable_registration: false
    #enable_registration_without_verification: false
max_upload_size: "3G"
  #allow_unsafe_locale: true
registration_requires_email: true
  #suppress_key_server_warning: true
  #registrations_require_3pid:
  #- email

# vim:ft=yaml
email:
  smtp_host: mail.your-server.de
  smtp_port: 587
  smtp_user: "no-reply@freedombox.be"
  smtp_pass: "4vz325j76pwRcDt4"
  require_transport_security: true
  notif_from: "Freedombox chatserver <no-reply@freedombox.be>"
  app_name: Freedombox Chat Server
  enable_notifs: true
  validation_token_lifetime: 15m
  enable_registration: true

password_config:
  enabled: true

    #admin_api:
    #  enable_token_auth: true
    #  tokens:
    #    - name: mas
    #      token: "UZTbfInNy2IQ8MCeEzy98Ry2bRNFrckd"

        #oidc_providers:
        #  - idp_id: mas
        #    idp_name: "Login with MAS"
        #    issuer: https://mas.freedombox.be/
        #    client_id: "0000000000000000000SYNAPSE"
        #    client_secret: "02266962ec3fc4b5e21204f736c37fe91227918f506723522a8aae48fd7f9dfd103fd8c5d1380234ffcb02ba3a90e2aca95156634119c61dc57a70a2d30431e2902f41bf646a9b72829ea8e70ec74af27043a2ba1f89b8acc27ddb8c819eedc2"
        #    redirect_uri: "https://freedombox.be/_synapse/client/oidc/callback"
        #    scopes: ["openid", "profile"]
        #    discover: true
        #    admin_token: "UZTbfInNy2IQ8MCeEzy98Ry2bRNFrckd"
        #    client_auth_method: client_secret_basic

experimental_features:
  sliding_sync:
    enabled: true
      #  msc3861:
      #    enabled: true
      #    issuer: https://mas.freedombox.be
      #    client_id: 0000000000000000000SYNAPSE
      #    client_auth_method: client_secret_basic
      #    client_secret: 02266962ec3fc4b5e21204f736c37fe91227918f506723522a8aae48fd7f9dfd103fd8c5d1380234ffcb02ba3a90e2aca95156634119c61dc57a70a2d30431e2902f41bf646a9b72829ea8e70ec74af27043a2ba1f89b8acc27ddb8c819eedc2
      #    admin_token: UZTbfInNy2IQ8MCeEzy98Ry2bRNFrckd

